# Get Request

**URL**: [https://vbee.vn/api/v1/tts/{request\_id}](https://vbee.vn/api/v1/tts/%7Brequest_id%7D)

**Method**: GET

**Content Type**: application/json

**Response Type**: text/json

**Tham số Header**

| **Tham số**   | **Giá trị**      | **Tính bắt buộc** | **Mô tả**                                                                                                  |
| ------------- | ---------------- | ----------------- | ---------------------------------------------------------------------------------------------------------- |
| Authorization | Bearer {{token}} | Bắt buộc          | Token đại diện cho App gọi API, được sinh ra dưới dạng JWT có thời hạn do lúc khởi tạo App người dùng chọn |

**Kết quả trả về**

* **status**: trạng thái của API (1: thành công, 0: thất bại)
* **error\_code**: mã lỗi
* **error\_message**: chi tiết lỗi
* **result**: dữ liệu trả về khi gọi API thành công
  * app\_id
  * request\_id: mã request
  * characters: số ký tự của đoạn văn bản convert
  * voice\_code
  * audio\_type
  * speed\_rate
  * bitrate
  * create\_at
  * progress: phần trăm xử lý của request
  * status: trạng thái của request
  * audio\_link: Đường dẫn tải file audio tổng hợp
  * audio\_expired: trạng thái của audio, true nếu audio đã hết hạn lưu trữ

```
// Example request
curl --location 'https://vbee.vn/api/v1/tts/9bc63cb3-7c80-4e61-8cda-7c7391a21bbe'
```

```
// Example response
{
  "result": {
    "app_id": "b5cdad60-6637-4061-98e4-aa9a3ba80932",
    "audio_link": "https://dev-vbee-studio-7.s3.ap-southeast-1.amazonaws.com/synthesis/2022/06/20/f07c269c-a89c-44af-afac-b38fb689ed8d.wav",
    "audio_type": "wav",
    "bitrate": 128,
    "characters": 4874,
    "request_id": "9bc63cb3-7c80-4e61-8cda-7c7391a21bbe",
    "speed_rate": 1,
    "status": "SUCCESS",
    "voice_code": "hn_female_maiphuong_vdts_48k-fhg"
  },
  "status": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.vbee.vn/text-to-speech-lagacy/get-request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
